package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Knowledge;

import java.util.List;

/**
 * @author lsw
 * @date 2024-07-10
 */
public interface IKnowledgeService extends IService<Knowledge> {
    List<Knowledge> indexList();

    List<Knowledge> selectList(Knowledge knowledge);

    /**
     * 知识详情
     *
     * @param id
     * @return
     */
    AjaxResult detail(Long id);
}
